<div id="body" class="container-fluid">
  <div class="row">
    <div class="col-24 col-xl-22 offset-xl-1 col-xxl-16 offset-xxl-4">
      <form [formGroup]="form" novalidate>
        <div class="form-row" formGroupName="criteria">
          <div class="form-group col-24 col-lg-8">
            <label>Search for</label>
            <div class="btn-group btn-group-toggle d-block" data-toggle="buttons">
              <label *ngFor="let sType of types; let first = first;" class="btn btn-primary" [ngClass]="{ 'active': first }" (click)="setType(sType.value)">
                <input type="radio" name="type" value="sType.value" formControlName="type"> {{ sType.description }}
              </label>
            </div>
          </div>
          <div class="form-group col-24 col-lg-8">
            <label>Status (<span class="text-muted">Created within 90 days</span>)</label>
            <div class="btn-group btn-group-toggle d-block" data-toggle="buttons">
              <label *ngFor="let sStatus of status; let first = first;" class="btn btn-primary" [ngClass]="{ 'active': first }" (click)="setStatus(sStatus.value)">
                <input type="radio" name="status" value="sStatus.value" formControlName="status"> {{ sStatus.description }}
              </label>
            </div>
            <!--<span class="form-text text-muted">Created within 90 days</span>-->
          </div>
        </div>
        <hr class="mt-0" />
        <div formGroupName="field">
          <div *ngIf="template != null; then template;"></div>
          <ng-template #eventTemplate>

            <div class="form-row">
              <div class="form-group col-24 col-lg-8">
                <label>M5 #</label>
                <input class="form-control" name="m5_no" formControlName="m5_no" placeholder="M5 #" rows="3" />
              </div>
              <div class="form-group col-24 col-lg-8">
                <label>Assigned Name</label>
                <input type="text" class="form-control" name="assignedName" formControlName="assignedName" placeholder="Assigned Name" />
              </div>
              <div class="form-group col-24 col-lg-8">
                <label>Requestor Name</label>
                <input type="text" class="form-control" name="requestorName" formControlName="requestorName" placeholder="Requestor Name" />
              </div>
            </div>
            <div class="form-row">
              <div class="form-group col-24 col-lg-8">
                <label>Event ID</label>
                <input type="text" class="form-control" name="eventId" formControlName="eventId" placeholder="Event ID" />
              </div>
              <div class="form-group col-24 col-lg-8">
                <label>Event Type</label>
                <dx-select-box [items]="eventTypes" name="eventType" placeholder="Search Event Type" displayExpr="eventTypeNme" valueExpr="eventTypeId" formControlName="eventType" required></dx-select-box>
              </div>
              <div class="form-group col-24 col-lg-8">
                <label>Event Status</label>
                <dx-select-box [items]="eventStatus" name="eventStatus" placeholder="Search Event Status" displayExpr="eventStusDes" valueExpr="eventStusId" formControlName="eventStatus" required></dx-select-box>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group col-24 col-lg-8">
                <!-- <label>FMS Circuit</label>
                <input type="text" class="form-control" name="fmsCircuit" formControlName="fmsCircuit" placeholder="FMS Circuit" /> -->
                <label>NUA</label>
                <input type="text" class="form-control" name="nua" formControlName="nua" placeholder="NUA" /> 
              </div>
              <div class="form-group col-24 col-lg-8">
                <label>H6</label>
                <input type="text" class="form-control" name="h5_h6" formControlName="h5_h6" placeholder="H5/H6" />
              </div>
              <div class="form-group col-24 col-lg-8">
                <label>FT Activity Type</label>
                <dx-select-box [items]="mdsFastTrackTypes" name="ftActivityType" placeholder="Search FT Activity Type" displayExpr="mdsFastTrkTypeDes" valueExpr="mdsFastTrkTypeId" formControlName="ftActivityType" required></dx-select-box>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group col-24 col-lg-8">
                <label>Customer</label>
                <input type="text" class="form-control" name="customer" formControlName="customer" placeholder="Customer" />
              </div>
              <div class="form-group col-24 col-lg-8">
                <label>Device Name</label>
                <input type="text" class="form-control" name="deviceName" formControlName="deviceName" placeholder="Device Name" />
              </div>
              <div class="form-group col-24 col-lg-8">
                <label>Device Serial #</label>
                <input type="text" class="form-control" name="deviceSerialNo" formControlName="deviceSerialNo" placeholder="Device Serial Number" />
              </div>
            </div>
            <div class="form-row">
              <div class="form-group col-24 col-lg-8">
                <label>FRB Request ID</label>
                <input type="text" class="form-control" name="frbRequestId" formControlName="frbRequestId" placeholder="FRB Request ID" />
              </div>
              <div class="form-group col-24 col-lg-8">
                <label>FRB Org ID</label>
                <input type="text" class="form-control" name="frbOrgId" formControlName="frbOrgId" placeholder="FRB Org ID" />
              </div>
              <div class="form-group col-24 col-lg-8">
                <label>FRB Configuration Type</label>
                <dx-select-box [items]="frbConfigurationTypes" name="frbConfigurationType" placeholder="Search FRB Configuration Type" displayExpr="description" valueExpr="value" formControlName="frbConfigurationType" required></dx-select-box>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group col-24 col-lg-8">
                <label>Appt Start Date</label>
                <input type="text" class="form-control" name="apptStartDate" formControlName="apptStartDate" placeholder="Appt Start Date" />
              </div>
              <div class="form-group col-24 col-lg-8">
                <label>Appt End Date</label>
                <input type="text" class="form-control" name="apptEndDate" formControlName="apptEndDate" placeholder="Appt End Date" />
              </div>
              <div class="form-group col-24 col-lg-8">
                <label>FRB Activity Type</label>
                <dx-select-box [items]="frbActivityTypes" name="frbActivityType" placeholder="Search FRB Activity Type" displayExpr="description" valueExpr="value" formControlName="frbActivityType" required></dx-select-box>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group col-24 col-lg-8">
                <label>Redesign Number</label>
                <input type="text" class="form-control" name="redesignNo" formControlName="redesignNo" placeholder="Redesign Number" />
              </div>
              <div class="form-group col-24 col-lg-8">
                <label>MDS Activity Type</label>
                <dx-select-box [items]="mdsActivityTypes" name="mdsActivityType" placeholder="Search MDS Activity Type" displayExpr="mdsActyTypeDes" valueExpr="mdsActyTypeId" formControlName="mdsActivityType" required></dx-select-box>
              </div>
              <div class="form-group col-24 col-lg-8">
                <label>MDS MAC Type</label>
                <!--<dx-select-box [items]="mdsMacActivity" name="mdsMacType" placeholder="Search MDS MAC Type" displayExpr="mdsMacActyNme" valueExpr="mdsMacActyId" formControlName="mdsMacType" required></dx-select-box>-->
                <dx-tag-box [dataSource]="mdsMacActivity"
                            displayExpr="mdsMacActyNme"
                            valueExpr="mdsMacActyId"
                            formControlName="mdsMacType"
                            [showSelectionControls]="true"
                            [searchEnabled]="true">
                </dx-tag-box>
              </div>
            </div>
          </ng-template>
          <ng-template #orderTemplate>
            <div class="form-row">
              <div class="form-group col-24 col-lg-8">
                <label>M5 #</label>
                <input class="form-control" name="m5_no" formControlName="m5_no" placeholder="M5 #" />
                <div>
                  <dx-check-box name="isRelatedFtn" formControlName="isRelatedFtn"
                                text="Check for Related FTN/MACH5 Order #'s">
                  </dx-check-box>
                </div>
              </div>
              <div class="form-group col-24 col-lg-8">
                <label>Name</label>
                <input type="text" class="form-control" name="name" formControlName="name" placeholder="Name" />
              </div>
              <div class="form-group col-24 col-lg-8">
                <label>CCD</label>
                <input type="text" class="form-control" name="ccd" formControlName="ccd" placeholder="CCD" />
              </div>
            </div>
            <div class="form-row">
              <div class="form-group col-24 col-lg-8">
                <label>Private Line</label>
                <input type="text" class="form-control" name="privateLine" formControlName="privateLine" placeholder="Private Line" />
              </div>
              <div class="form-group col-24 col-lg-8">
                <label>H1</label>
                <input type="text" class="form-control" name="h1" formControlName="h1" placeholder="H1" />
              </div>
              <div class="form-group col-24 col-lg-8">
                <label>Vendor Name</label>
                <input type="text" class="form-control" name="vendorName" formControlName="vendorName" placeholder="Vendor Name" />
              </div>
            </div>
            <div class="form-row">
              <div class="form-group col-24 col-lg-8">
                <label>PRS Quote</label>
                <input type="text" class="form-control" name="prsQuote" formControlName="prsQuote" placeholder="PRS Quote" />
              </div>
              <div class="form-group col-24 col-lg-8">
                <label>Vendor Circuit</label>
                <input type="text" class="form-control" name="vendorCircuit" formControlName="vendorCircuit" placeholder="Vendor Circuit" />
              </div>
              <div class="form-group col-24 col-lg-8">
                <label>Product Type</label>
                <dx-select-box [items]="productTypes" name="productType" placeholder="Search Product Type" displayExpr="prodTypeDes" valueExpr="prodTypeId" formControlName="productType" required></dx-select-box>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group col-24 col-lg-8">
                <label>SOI</label>
                <input type="text" class="form-control" name="soi" formControlName="soi" placeholder="SOI" />
              </div>
              <div class="form-group col-24 col-lg-8">
                <label>H6</label>
                <input type="text" class="form-control" name="h5_h6" formControlName="h5_h6" placeholder="H5/H6" />
              </div>
              <div class="form-group col-24 col-lg-8">
                <label>Order Sub Type</label>
                <dx-select-box [items]="orderSubTypes" name="orderSubType" placeholder="Search Order Type" displayExpr="ordrSubTypeDes" valueExpr="ordrSubTypeId" formControlName="orderSubType" required></dx-select-box>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group col-24 col-lg-8">
                <label>Order Type</label>
                <dx-select-box [items]="orderTypes" name="orderType" placeholder="Search Order Type" displayExpr="ordrTypeDes" valueExpr="ordrTypeId" formControlName="orderType" required></dx-select-box>
              </div>
              <div class="form-group col-24 col-lg-8">
                <label>Work Group</label>
                <dx-select-box [items]="groups" name="workGroup" placeholder="Search Work Group" displayExpr="grpNme" valueExpr="grpId" formControlName="workGroup" required></dx-select-box>
              </div>
              <div class="form-group col-24 col-lg-8">
                <label>NUA</label>
                <input type="text" class="form-control" name="nua" formControlName="nua" placeholder="NUA" />
              </div>
            </div>
            <div class="form-row">
              <div class="form-group col-24 col-lg-8">
                <label>Platform Type</label>
                <dx-select-box [items]="platforms" name="platformType" placeholder="Search Platform Type" displayExpr="pltfrmNme" valueExpr="pltfrmCd" formControlName="platformType" required></dx-select-box>
              </div>
              <div class="form-group col-24 col-lg-8">
                <label>Region</label>
                <dx-select-box [items]="regions" name="region" placeholder="Search Region" displayExpr="rgnDes" valueExpr="rgnId" formControlName="region" required></dx-select-box>
              </div>
              <div class="form-group col-24 col-lg-8">
                <label>Parent M5 #</label>
                <input type="text" class="form-control" name="parentM5_no" formControlName="parentM5_no" placeholder="Parent M5 No" />
              </div>
            </div>
            <div class="form-row">
              <div class="form-group col-24 col-lg-8">
                <label>Purchase Order Number</label>
                <input type="text" class="form-control" name="purchaseOrderNumber" formControlName="purchaseOrderNumber" placeholder="Purchase Order Number" />
              </div>
              <div class="form-group col-24 col-lg-8">
                <label>Atlas Work Order Number</label>
                <input type="text" class="form-control" name="atlasWorkOrderNumber" formControlName="atlasWorkOrderNumber" placeholder="Atlas Work Order Number" />
              </div>
              <div class="form-group col-24 col-lg-8">
                <label>People Soft Requisition Number</label>
                <input type="text" class="form-control" name="peopleSoftRequisitionNumber" formControlName="peopleSoftRequisitionNumber" placeholder="People Soft Requisition Number" />
              </div>
            </div>
            <div class="form-row">
              <div class="form-group col-24 col-lg-8">
                <label>PreQual Id</label>
                <input type="text" class="form-control" name="preQualId" formControlName="preQualId" placeholder="PreQual Id" />
              </div>
              <div class="form-group col-24 col-lg-8">
                <label>Device Id</label>
                <input type="text" class="form-control" name="deviceId" formControlName="deviceId" placeholder="Device Id" />
              </div>
            </div>
          </ng-template>
          <ng-template #redesignTemplate>
            <div class="form-row">
              <div class="form-group col-24 col-lg-8">
                <label>Redesign #</label>
                <input class="form-control" name="redesignNo" formControlName="redesignNo" placeholder="Redesign #" />
              </div>
              <div class="form-group col-24 col-lg-8">
                <label>Customer</label>
                <input type="text" class="form-control" name="customer" formControlName="customer" placeholder="Customer" />
              </div>
              <div class="form-group col-24 col-lg-8">
                <label>H1</label>
                <input type="text" class="form-control" name="h1" formControlName="h1" placeholder="H1" />
              </div>
            </div>
            <div class="form-row">
              <div class="form-group col-24 col-lg-8">
                <label>Redesign Category</label>
                <dx-select-box [items]="redesignCategories" name="redesignCategory" placeholder="Search Redesign Category" displayExpr="redsgnCatDes" valueExpr="redsgnCatId" formControlName="redesignCategory" required></dx-select-box>
              </div>
              <div class="form-group col-24 col-lg-8">
                <label>Redesign Type</label>
                <dx-select-box [items]="redesignTypes" name="redesignType" placeholder="Search Redesign Type" displayExpr="description" valueExpr="value" formControlName="redesignType" required></dx-select-box>
              </div>
              <div class="form-group col-24 col-lg-8">
                <label>Redesign Status</label>
                <dx-select-box [items]="redesignStatus" name="redesignStatus" placeholder="Search Redesign Status" displayExpr="stusDes" valueExpr="stusId" formControlName="redesignStatus" required></dx-select-box>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group col-24 col-lg-8">
                <label>ODIE Device Name</label>
                <input type="text" class="form-control" name="odieDeviceName" formControlName="odieDeviceName" placeholder="ODIE Device Name" />
              </div>
              <div class="form-group col-24 col-lg-8">
                <label>NTE Assigned</label>
                <input type="text" class="form-control" name="nteAssigned" formControlName="nteAssigned" placeholder="NTE Assigned" />
              </div>
              <div class="form-group col-24 col-lg-8">
                <label>PM Assigned</label>
                <input type="text" class="form-control" name="pmAssigned" formControlName="pmAssigned" placeholder="PM Assigned" />
              </div>
            </div>
            <div class="form-row">
              <div class="form-group col-24 col-lg-8">
                <label>Event ID</label>
                <input type="text" class="form-control" name="eventId" formControlName="eventId" placeholder="Event ID" />
              </div>
              <div class="form-group col-24 col-lg-8">
                <label>MSS SE Assigned</label>
                <input type="text" class="form-control" name="mssSeAssigned" formControlName="mssSeAssigned" placeholder="MSS SE Assigned" />
              </div>
              <div class="form-group col-24 col-lg-8">
                <label>NE Assigned</label>
                <input type="text" class="form-control" name="neAssigned" formControlName="neAssigned" placeholder="NE Assigned" />
              </div>
            </div>
            <div class="form-row">
              <div class="form-group col-24 col-lg-8">
                <label>Submitted Date</label>
                <input type="text" class="form-control" name="submittedDate" formControlName="submittedDate" placeholder="Submitted Date" />
              </div>
              <div class="form-group col-24 col-lg-8">
                <label>SLA Due Date</label>
                <input type="text" class="form-control" name="slaDueDate" formControlName="slaDueDate" placeholder="SLA Due Date" />
              </div>
              <div class="form-group col-24 col-lg-8">
                <label>Expiration Date</label>
                <input type="text" class="form-control" name="expirationDate" formControlName="expirationDate" placeholder="Expiration Date" />
              </div>
            </div>
          </ng-template>
          <div class="form-row text-center">
            <div class="form-group col-12 col-md-6 col-lg-4 offset-md-6 offset-lg-8">
              <button type="button" class="btn btn-secondary btn-block" (click)="setForm()">
                Reset
              </button>
            </div>
            <div class="form-group col-12 col-md-6 col-lg-4">
              <button type="button" class="btn btn-primary btn-block" (click)="onSubmit()">
                Search
              </button>
            </div>
          </div>
        </div>
      </form>
      <!--<pre>{{ form.value | json }}</pre>-->
      <!--<dx-data-grid #grid id="grid" keyExpr="eventID" [dataSource]="eventList" [wordWrapEnabled]="true"
                [rowAlternationEnabled]="true" [showBorders]="true" [columnAutoWidth]="true"
                (onSelectionChanged)="selectionChangedHandler(grid.selectedRowKeys)">
  </dx-data-grid>-->

      <span *ngIf="eventListLen == 0 && eventList != null"><strong>{{msg}}</strong></span>
      <dx-data-grid *ngIf="eventList != null" #grid id="grid" [dataSource]="eventList" [wordWrapEnabled]="true"
                    [rowAlternationEnabled]="true" [showBorders]="true" [columnAutoWidth]="true"
                    (onRowDblClick)="selectionChangedHandler(grid.selectedRowKeys)">
        <dxo-sorting mode="multiple"></dxo-sorting>
        <dxo-paging [pageSize]="50"></dxo-paging>
        <dxo-export [enabled]="true" fileName="Event"></dxo-export>
        <dxo-selection mode="single"></dxo-selection>
        <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
        <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[10, 25, 50, 100]"></dxo-pager>
        <dxi-column dataField="eventID" caption="Event ID" dataType="string"></dxi-column>
        <dxi-column dataField="eventType" caption="Event Type" dataType="string"></dxi-column>
        <dxi-column dataField="eventStatus" caption="Event Status" dataType="string"></dxi-column>
        <dxi-column dataField="assignedTo" caption="Assigned User" dataType="string"></dxi-column>
        <dxi-column dataField="requestedBy" caption="Requested By" dataType="string"></dxi-column>
        <dxi-column dataField="ftn" caption="M5 #" dataType="string"></dxi-column>
        <dxi-column dataField="h1" caption="H1" dataType="string"></dxi-column>
        <dxi-column dataField="h5_H6" caption="H6" dataType="string"></dxi-column>
        <dxi-column dataField="city" caption="City" dataType="string"></dxi-column>
        <dxi-column dataField="state" caption="State" dataType="string"></dxi-column>
        <dxi-column dataField="customerName" caption="Customer Name" dataType="string"></dxi-column>
        <dxi-column dataField="designName" caption="Device Name" dataType="string"></dxi-column>
        <dxi-column dataField="redesignNumber" caption="Redesign Number" dataType="string"></dxi-column>
        <dxi-column dataField="startDate" caption="Start Date" dataType="datetime"></dxi-column>
        <dxi-column dataField="modifiedDate" caption="Last Update" dataType="datetime"></dxi-column>
      </dx-data-grid>

      <!--<dx-data-grid *ngIf="eventList != null" id="eventGrid" [wordWrapEnabled]="true"
                [rowAlternationEnabled]="true" [showBorders]="true" [columnAutoWidth]="true"
                [dataSource]="eventList" keyExpr="eventID" (onSelectionChanged)="(grid.selectedRowKeys)">
  </dx-data-grid>-->
      <span *ngIf="orderListLen == 0 && orderList != null"><strong>{{msg}}</strong></span>
      <dx-data-grid *ngIf="orderList != null" #grid id="grid" [dataSource]="orderList" [wordWrapEnabled]="true"
                    [rowAlternationEnabled]="true" [showBorders]="true" [columnAutoWidth]="true"
                    (onRowDblClick)="selectionChangedOrderHandler(grid.selectedRowKeys)">
        <dxo-sorting mode="multiple"></dxo-sorting>
        <dxo-paging [pageSize]="50"></dxo-paging>
        <dxo-export [enabled]="true" fileName="Order"></dxo-export>
        <dxo-selection mode="single"></dxo-selection>
        <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
        <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[10, 25, 50, 100]"></dxo-pager>
        <dxi-column dataField="ordR_ID" caption="Order ID" dataType="string"></dxi-column>
        <dxi-column dataField="ftn" caption="M5 #" dataType="string"></dxi-column>
        <dxi-column dataField="h1" caption="H1" dataType="string"></dxi-column>
        <dxi-column dataField="customerName" caption="Customer Name" dataType="string"></dxi-column>
        <dxi-column dataField="domesticFlag" caption="Domestic Flag" dataType="string"></dxi-column>
        <dxi-column dataField="h5_H6" caption="H6" dataType="string"></dxi-column>
        <dxi-column dataField="orderSubType" caption="Order Sub Type" dataType="string"></dxi-column>
        <dxi-column dataField="orderType" caption="Order Action" dataType="string"></dxi-column>
        <dxi-column dataField="orderTypeDesc" caption="Order Type" dataType="string"></dxi-column>
        <dxi-column dataField="ccd" caption="CCD" dataType="datetime"></dxi-column>
        <dxi-column dataField="prsQuote" caption="PRS Quote" dataType="string"></dxi-column>
        <dxi-column dataField="soi" caption="SOI" dataType="string"></dxi-column>
        <dxi-column dataField="privateLine" caption="Private Line" dataType="string"></dxi-column>
        <dxi-column dataField="productType" caption="Product Type" dataType="string"></dxi-column>
        <dxi-column dataField="platformType" caption="Platform Type" dataType="string"></dxi-column>
        <dxi-column dataField="vendorName" caption="Vendor Name" dataType="string"></dxi-column>
        <dxi-column dataField="region" caption="Region" dataType="string"></dxi-column>
        <dxi-column dataField="workGroup" caption="Work Group" dataType="string"></dxi-column>
        <dxi-column dataField="orderStatus" caption="Order Status" dataType="string"></dxi-column>
      </dx-data-grid>
      <span *ngIf="redesignListLen == 0 && redesignList != null"><strong>{{msg}}</strong></span>
      <dx-data-grid *ngIf="redesignList != null" id="redesignGrid" [wordWrapEnabled]="true"
                    [rowAlternationEnabled]="true" [showBorders]="true" [columnAutoWidth]="true"
                    [dataSource]="redesignList">
        <dxo-sorting mode="multiple"></dxo-sorting>
      </dx-data-grid>

    </div>
  </div>
</div>

